import { createApp } from 'vue';
import { createPinia } from 'pinia';
import App from './App.vue';
import router from './router';

// Add global styles
import './assets/styles.css';

// Create the app
const app = createApp(App);

// Create and use Pinia
const pinia = createPinia();
app.use(pinia);

// Use the router
app.use(router);

// Mount the app
app.mount('#app');
